List all webhooks belonging to a specific org.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Webhooks under the Setup & Administration category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/webhooks \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "23918",
"name": "Webhook-123",
"secretKey": "11121-31231-1231212",
"url": "https://www.webhook-123.com/webhook/listener",
"version": "2018-01-01",
"customHeaders": [
{
"key": "format",
"value": "xcmol-532"
}
],
"eventTypes": [
"AddressCreated",
"AddressCreated",
"AddressCreated",
"AddressCreated"
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of webhook IDs. Example: ids=49412323223,49412329928
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/webhooks \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "23918",
"name": "Webhook-123",
"secretKey": "11121-31231-1231212",
"url": "https://www.webhook-123.com/webhook/listener",
"version": "2018-01-01",
"customHeaders": [
{
"key": "format",
"value": "xcmol-532"
}
],
"eventTypes": [
"AddressCreated",
"AddressCreated",
"AddressCreated",
"AddressCreated"
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}